@korolevsky_s
iOS Developer

Какой graphics api выбрать для Android сборки?

Подскажите, для поддержки старых устройств в graphics api добавил OpenGLES2 (минимальный sdk api 4.4). Есть ли смысл оставлять и OpenGLES3 или можно обойтись одним OpenGLES2? Нужно ли оставлять Vulcan? Читая оф документацию немножко не понимаю, как обезопасить себя, чтобы приложение не показывалось в сторе на неподдерживаемых устройствах.

5d613eb4c7b8f202742569.png
  • Вопрос задан
  • 31 просмотр
Решения вопроса 1
MrMureno
@MrMureno Куратор тега Unity Game Engine
VR for all
имеет смысл оставлять.
если читали документацию - то там явно рассказано, что оно попробует запускать в том порядке как на скриншоте.
Получилось на GLES3 - ура. пооптимальнее работает., нет - пробует дальше.

Имело бы смысл убрать OpenGLES2 - если бы вы хотели избавится от старых деваисов.
а так то обратная совместимость, все что умеет работать с OpenGLES3 - будет поддерживать и OpenGLES2 .

с Vulcan - немного веселее. тут надо проверять нет ли на этом относительно "свежем" апи багов, порой проще от греха подальше отрубить)))
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы